# ChristBASHTree

You know, a Christmas tree on Bash :)

![Screenshot](./screenshot.png?raw=true)

# Usage

Via cURL:

```
# English version
curl https://git.sp-codes.de/denyskon/ChristBASHTree/raw/branch/master/tree-EN.sh | bash

# Spanish version
curl https://git.sp-codes.de/denyskon/ChristBASHTree/raw/branch/master/tree-ES.sh | bash

# German version
curl https://git.sp-codes.de/denyskon/ChristBASHTree/raw/branch/master/tree-DE.sh | bash
```

Via Wget:

```
# English version
wget -qO- https://git.sp-codes.de/denyskon/ChristBASHTree/raw/branch/master/tree-EN.sh | bash

# Spanish version
wget -qO- https://git.sp-codes.de/denyskon/ChristBASHTree/raw/branch/master/tree-ES.sh | bash

# German version
wget -qO- https://git.sp-codes.de/denyskon/ChristBASHTree/raw/branch/master/tree-DE.sh | bash
```

Docker:

```
docker pull sergiolepore/christbashtree:latest
docker run -it sergiolepore/christbashtree:latest
```

Git clone and execute:

```
git clone https://git.sp-codes.de/denyskon/ChristBASHTree.git && cd ./ChristBASHTree && bash tree-EN.sh
```

__Enjoy!__

# FAQ

## License?

[Do what you want with it](./LICENSE) license.

## Will it run under _whatever-OS_?

Only GNU/Linux and Unix flavors.

## What OS are you using?

Ubuntu 17.10.

## What about your terminal emulator?

[Tilix](https://gnunn1.github.io/tilix-web/)

## And your color palette?

Custom, based on Atom's "One Dark" theme.

## Contributors

[Here](https://github.com/sergiolepore/ChristBASHTree/graphs/contributors)
